Package org.pentaho.reporting.libraries.formula.typing

# Class DefaultType

java.lang.Object
org.pentaho.reporting.libraries.formula.typing.DefaultType

All Implemented Interfaces:
  `Serializable`, `Type`

Direct Known Subclasses:
  `AnyType`, `DateTimeType`, `ErrorType`, `LogicalType`, `NumberType`, `TextType`

public abstract class DefaultType extends Object implements Type
Creation-Date: 02.11.2006, 09:37:54

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from interface org.pentaho.reporting.libraries.formula.typing.Type

`ANY_TYPE, ARRAY_TYPE, DATE_TYPE, DATETIME_TYPE, ERROR_TYPE, LOGICAL_TYPE, NUMERIC_SEQUENCE_TYPE, NUMERIC_TYPE, NUMERIC_UNIT, SCALAR_TYPE, SEQUENCE_TYPE, TEXT_TYPE, TIME_TYPE`

## Method Summary

Modifier and Type
Method
Description
`void`
`addFlag(String name)`
`Object`
`getProperty(String name)`
`boolean`
`isFlagSet(String name)`
`boolean`
`isLocked()`
`void`
`lock()`
`void`
`setProperty(String name, Object value)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### isLocked

public boolean isLocked()

### lock

public void lock()

### addFlag

public void addFlag(String name)

### isFlagSet

public boolean isFlagSet(String name)

Specified by:
  `isFlagSet` in interface `Type`

### setProperty

public void setProperty(String name, Object value)

### getProperty

public Object getProperty(String name)

Specified by:
  `getProperty` in interface `Type`